inimigos={}
function spawnInimigo(inimigo,dist,angulo)
	local temp={}
	inimigo=inimigosLib[inimigo]
	temp.grafico=inimigo.grafico
	temp.comportamento=inimigo.comportamento
	temp.dist=dist
	temp.angulo=angulo
	temp.tamang=inimigo.tamang
	temp.tamdist=inimigo.tamdist
	temp.velocidade=inimigo.velocidade
	temp.tempoVivo=0
	temp.vida=inimigo.vida
	temp.estado="indo"
	temp.pontos=inimigo.pontos

	table.insert(inimigos,temp)
end

function drawInimigos()
	for i,v in ipairs(inimigos) do
		if v.estado=="indo" then
		love.graphics.draw(v.grafico,
			centro.x+math.sin(math.rad(v.angulo))*v.dist,
			centro.y+math.cos(math.rad(v.angulo))*v.dist,
			math.rad(-v.angulo),1,1,
			v.grafico:getWidth()/2,
			v.grafico:getHeight()/2)
		end
		if v.estado=="voltando" then
			love.graphics.draw(v.grafico,
			centro.x+math.sin(math.rad(v.angulo))*v.dist,
			centro.y+math.cos(math.rad(v.angulo))*v.dist,
			math.rad(-v.angulo-180),1,1,
			v.grafico:getWidth()/2,
			v.grafico:getHeight()/2)
		end

		love.graphics.print(v.vida,centro.x+math.sin(math.rad(v.angulo))*v.dist,centro.y+math.cos(math.rad(v.angulo))*v.dist)
	end
end

function updateInimigos(dt)
	for i,v in ipairs(inimigos) do
		v.comportamento(v,dt)
		for index,value in ipairs(tiros) do
			if testeColisao(value,v) then
				v.vida=v.vida-100
				table.remove(tiros,index)
				if v.vida<= 0 then
					player.pontos=player.pontos+v.pontos
					explode(centro.x+math.sin(math.rad(v.angulo))*v.dist,centro.y+math.cos(math.rad(v.angulo))*v.dist)
					table.remove(inimigos,i)
				end
			end
		end
		if v.dist<=tamanhoPlaneta then
			asteroide.vida=asteroide.vida-10
			v.estado="voltando"
		end
		if v.dist>distPadrao and v.estado=="voltando" then
			table.remove(inimigos,i)
		end
	end
end