tiros={}
function atira(atirador)
	if atirador.ultimoTiro>=atirador.intervaloTiros then
		table.insert(tiros,{dist=atirador.dist+30,angulo=atirador.angulo,velocidade=atirador.velocidadeTiro,tamdist=10,tamang=3})
		player.ultimoTiro=0
	end
end

function updateTiros(dt)
	for i,v in ipairs(tiros) do
		v.dist=v.dist+v.velocidade*dt
		if v.dist>centro.x then
			table.remove(tiros,i)
		end
	end
end

function drawTiros()
	for i,v in ipairs(tiros) do
		love.graphics.draw(tiro,centro.x+math.sin(math.rad(v.angulo))*v.dist,centro.y+math.cos(math.rad(v.angulo))*v.dist,math.rad(-v.angulo),1,1,10,15)
	end
end

function testeColisao(objeto1,objeto2)
	if objeto1.dist<objeto2.dist+objeto2.tamdist and objeto1.dist>objeto2.dist-objeto2.tamdist then
		if objeto1.angulo-objeto1.tamang<objeto2.angulo+objeto2.tamang and objeto1.angulo+objeto1.tamang>objeto2.angulo-objeto2.tamang then
			return true
		end
	end
	return false
end


function drawHitBox()
	for i,v in ipairs(inimigos) do
		local atenuador=v.dist/200
		for ang=v.angulo-v.tamang/atenuador,v.angulo+v.tamang/atenuador,1 do
			love.graphics.line(centro.x+(math.sin(math.rad(ang))*(v.dist+v.tamdist)),centro.y+(math.cos(math.rad(ang))*(v.dist+v.tamdist)),centro.x+(math.sin(math.rad(ang))*(v.dist-v.tamdist)),centro.y+(math.cos(math.rad(ang))*(v.dist-v.tamdist)))
		end
	end
	for i,v in ipairs(tiros) do
		local atenuador=v.dist/200
		for ang=v.angulo-v.tamang/atenuador,v.angulo+v.tamang/atenuador,1 do
			love.graphics.line(centro.x+(math.sin(math.rad(ang))*(v.dist+v.tamdist)),centro.y+(math.cos(math.rad(ang))*(v.dist+v.tamdist)),centro.x+(math.sin(math.rad(ang))*(v.dist-v.tamdist)),centro.y+(math.cos(math.rad(ang))*(v.dist-v.tamdist)))
		end
	end
end